RubyGems.org

octave-ruby

1.0.8

USAGE: require ‘octave’ engine = Octave::Engine.new engine.eval "123.456 * 789.101112" engine.rand(10) matrix = Octave::Matrix.new(20, 400) 20.times { |m| 400.times { |n| matrix[m, n] = rand } } engine.put_variable("m", matrix) engine.save "/tmp/20_x_400_matrix" == REQUIREMENTS: * Octave * GCC or some other compiler to build the included extension * Mocha (For testing only)

installgem install octave-ruby -v 1.0.8
Authors

Jonathan Younger

16,117 total downloads 1,199 for this version
Owners

D1e098b7194f0948f4efe23e8ba404ba

Gemfile
gem 'octave-ruby', '~> 1.0.8'
Versions
  1. 2.0.3 January 21, 2013 (33 KB)
  2. 2.0.2 January 21, 2013 (35 KB)
  3. 2.0.1 November 8, 2012 (35 KB)
  4. 2.0.0 November 8, 2012 (35 KB)
  5. 1.0.9 December 30, 2008 (34 KB)
Show all versions (14 total)
Runtime Dependencies
  1. hoe >= 1.8.2
Development Dependencies
  1. hoe >= 1.8.2